summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlin Năstac <mrness@gentoo.org>2006-10-06 04:59:02 +0000
committerAlin Năstac <mrness@gentoo.org>2006-10-06 04:59:02 +0000
commitd9e19a9f2ed2a891b9866892afd735d9808899a0 (patch)
treed1e574221e941f870d2b69923401e0756c3281d4 /net-proxy/dnsproxy/files
parentInitial ebuild by Hanno Boeck <hanno@gentoo.org>, #143350 (diff)
downloadgentoo-2-d9e19a9f2ed2a891b9866892afd735d9808899a0.tar.gz
gentoo-2-d9e19a9f2ed2a891b9866892afd735d9808899a0.tar.bz2
gentoo-2-d9e19a9f2ed2a891b9866892afd735d9808899a0.zip
Initial import from sunrise overlay (#104208)
(Portage version: 2.1.1)
Diffstat (limited to 'net-proxy/dnsproxy/files')
-rw-r--r--net-proxy/dnsproxy/files/digest-dnsproxy-1.153
-rw-r--r--net-proxy/dnsproxy/files/dnsproxy.confd3
-rw-r--r--net-proxy/dnsproxy/files/dnsproxy.initd31
3 files changed, 37 insertions, 0 deletions
diff --git a/net-proxy/dnsproxy/files/digest-dnsproxy-1.15 b/net-proxy/dnsproxy/files/digest-dnsproxy-1.15
new file mode 100644
index 000000000000..c428325ea383
--- /dev/null
+++ b/net-proxy/dnsproxy/files/digest-dnsproxy-1.15
@@ -0,0 +1,3 @@
+MD5 52851b2ebe0ab3fe58158a7a64d98811 dnsproxy-1.15.tar.gz 116565
+RMD160 bae5b8d2bf3149dbb697d46c4736685627a8f18b dnsproxy-1.15.tar.gz 116565
+SHA256 c70b83a4183e7b50d19a05282d38167a42fa2dbc66724c079dd89fb235185bd6 dnsproxy-1.15.tar.gz 116565
diff --git a/net-proxy/dnsproxy/files/dnsproxy.confd b/net-proxy/dnsproxy/files/dnsproxy.confd
new file mode 100644
index 000000000000..48f8a51e57f0
--- /dev/null
+++ b/net-proxy/dnsproxy/files/dnsproxy.confd
@@ -0,0 +1,3 @@
+# Options for dnsproxy daemon (rarely you need to change these)
+DNSPROXY_CONFFILE="/etc/dnsproxy/dnsproxy.conf"
+DNSPROXY_PIDFILE="/var/run/dnsproxy.pid"
diff --git a/net-proxy/dnsproxy/files/dnsproxy.initd b/net-proxy/dnsproxy/files/dnsproxy.initd
new file mode 100644
index 000000000000..000fc95eaa2b
--- /dev/null
+++ b/net-proxy/dnsproxy/files/dnsproxy.initd
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -e "${DNSPROXY_CONFFILE}" ] ; then
+ eerror "You need to create and select the configuration file first."
+ eerror "An example can be found in /etc/dnsproxy/dnsproxy.conf.dist"
+ return 1
+ fi
+}
+
+start() {
+ ebegin "Starting dnsproxy"
+ checkconfig && \
+ start-stop-daemon --start --make-pidfile \
+ --quiet -b --pidfile ${DNSPROXY_PIDFILE} \
+ --exec /usr/sbin/dnsproxy -- -c "${DNSPROXY_CONFFILE}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping dnsproxy"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${DNSPROXY_PIDFILE}
+ eend $?
+}